Subject: HELP! pine hangs upon exit

From: Joseph Strout <[email-masked]>
Date: Wed, 15 Jan 1997 09:21:26 -0800

For the last week or so, Pine 3.94 has been hanging indefinately when I
try to exit.  It doesn't always do so, but it does more than half the
time.  I just ran it with -d9, and the tail of the debug file looks like
this:

----------------------------------------------------------
row: -2, real_row: 38, column: 0 
Select readfds:1 timeval:0,0 
Select on tty returned 1 
Read char returning: 121 y 
Want_to read: y (121) 
resume_busy_alarm 
expunge and close mail stream "/home/jstrout/mail/inbox"
q_status_message(Closing "INBOX"...) 
output_message(Closing "INBOX"...) 
comatose(44) returns:"44" 
end_signals(1) 

** Received SIGHUP **
----------------------------------------------------------
The SIGHUP is where (after about 30 seconds, though I've waited much
longer before) I finally just close the window.  (^C, ^Y, etc., all seem
ineffective; closing the window is the only way I've found to kill it.)

Any idea what might be causing this, or what I could do about it?

Most gratefully,
-- Joe Strout

,------------------------------------------------------------------.
|    Joseph J. Strout           Department of Neuroscience, UCSD   |
|    [email-masked]           http://www-acs.ucsd.edu/~jstrout/  |
`------------------------------------------------------------------'